音频与其他Suno
Suno 批量查询任务
POST
按 Suno 任务 ID 列表批量查询音乐任务。适合客户端保存多个任务 ID 后一次性刷新状态。
bearerAuthheader
AuthorizationBearer <API key>使用 Authorization Bearer API Key 进行鉴权。
application/json- body
ids*array<string>Suno 任务 ID 列表。
action?string查询的任务动作类型,例如 MUSIC。
[key: string]?anySuno 任务详情列表。
application/json- response
Suno 批量任务查询响应。
code?string查询结果状态。
message?string查询结果消息。
data?array<>Suno 任务详情列表。
[key: string]?anycurl -X POST 'https://goldflow.cc/suno/fetch' \ -H 'Content-Type: application/json' \ -d '{ "ids": [ "task_J5dF6JHsvDJmJ5VfsszWb0jJVnWNehWH", "task_prwqSCxldgwbOmbdvW1oDzkE1chE7bKm" ], "action": "MUSIC"}'Example Response
{ "code": "string", "message": "string", "data": [ { "task_id": "string", "platform": "string", "action": "string", "status": "string", "progress": "string", "fail_reason": "string", "submit_time": 0, "start_time": 0, "finish_time": 0, "data": [ { "id": "string", "audio_url": "http://example.com", "image_url": "http://example.com", "image_large_url": "http://example.com", "video_url": "http://example.com", "title": "string", "text": "string", "status": "string", "major_model_version": "string", "model_name": "string", "metadata": { "tags": "string", "prompt": "string", "gpt_description_prompt": "string", "audio_prompt_id": "string", "duration": 0, "error_type": "string", "error_message": "string" } } ] } ]}